c05f9d2
commit 59784c512ec40e588b21cf5ae8e31e9c4f99d6b8
c05f9d2
Author: Mark Wielaard <mark@klomp.org>
c05f9d2
Date:   Sat May 18 14:55:50 2019 +0200
c05f9d2
c05f9d2
    aarch64 (arm64) isn't a supported architecture for exp-sgcheck.
c05f9d2
    
c05f9d2
    exp-sgcheck/pc_main.c contains:
c05f9d2
    
c05f9d2
       #if defined(VGA_arm) || defined(VGA_arm64)
c05f9d2
          VG_(printf)("SGCheck doesn't work on ARM yet, sorry.\n");
c05f9d2
          VG_(exit)(1);
c05f9d2
       #endif
c05f9d2
    
c05f9d2
    But exp-sgcheck/tests/is_arch_supported checked against uname -m
c05f9d2
    which returns aarch64 (not arm64). Fix the test check so the
c05f9d2
    exp-sgcheck tests are skipped instead of producing failures.
c05f9d2
c05f9d2
diff --git a/exp-sgcheck/tests/is_arch_supported b/exp-sgcheck/tests/is_arch_supported
c05f9d2
index 818cc61..d4c6191 100755
c05f9d2
--- a/exp-sgcheck/tests/is_arch_supported
c05f9d2
+++ b/exp-sgcheck/tests/is_arch_supported
c05f9d2
@@ -10,6 +10,6 @@
c05f9d2
 # architectures.
c05f9d2
 
c05f9d2
 case `uname -m` in
c05f9d2
-  ppc*|arm*|s390x|mips*) exit 1;;
c05f9d2
+  ppc*|aarch64|arm*|s390x|mips*) exit 1;;
c05f9d2
   *)         exit 0;;
c05f9d2
 esac